#pragma once

namespace Mix{ namespace Dynamics{

	class Shape
	{
	private:
		btCollisionShape* m_pCollisionShape;
		Float32 m_BaseMargin;
		Float32 m_Margin;

	protected:
		Shape( void );
		virtual ~Shape( void );

		void Bullet_SetCollisionShape( btCollisionShape* pCollisionShape );

		Float32 Bullet_GetMargin( void ) const;
		void Bullet_SetMargin( Float32 margin );

	public:
		btCollisionShape* Bullet_GetCollisionShapePtr( void ) const;
		virtual btConvexShape* Bullet_GetConvexShapePtr( void ) const = 0;
	};

}}
